package com.fuyuanshen.app.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fuyuanshen.common.tenant.core.TenantEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: 设备类型
 * @Author: WY
 * @Date: 2025/5/14
 **/
@Data
@TableName("app_device_type")
public class APPDeviceType extends TenantEntity {

    @TableId(value = "id", type = IdType.AUTO)
    @Schema(name = "ID", hidden = true)
    private Long id;

    @Schema(name = "客户号")
    private Long customerId;

    @Schema(name = "创建该类型的客户")
    private Long ownerCustomerId;

    /**
     * 租户ID
     */
    // @TableField(value = "tenant_id")
    // @ApiModelProperty(hidden = true)
    // private Long tenantId;

    @NotBlank(message = "设备类型名称不能为空")
    @Schema(name = "类型名称", required = true)
    private String typeName;

    @Schema(name = "是否支持蓝牙")
    private Boolean isSupportBle;

    @Schema(name = "定位方式", example = "0:无;1:GPS;2:基站;3:wifi;4:北斗")
    private String locateMode;

    @Schema(name = "联网方式", example = "0:无;1:4G;2:WIFI")
    private String networkWay;

    @Schema(name = "通讯方式", example = "0:4G;1:蓝牙")
    private String communicationMode;


}
