package com.fuyuanshen.app.domain;

import com.fuyuanshen.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 设备分享对象 app_device_share
 *
 * @author Lion Li
 * @date 2025-07-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("app_device_share")
public class AppDeviceShare extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 设备ID
     */
    private Long deviceId;

    /**
     * 手机号
     */
    private String phonenumber;

    /**
     * 功能权限（1：灯光模式；2：激光模式；3：开机画面；4：人员信息登记；5：发送信息；6：产品信息）
以逗号分隔
     */
    private String permission;

    /**
     * 备注
     */
    private String remark;


}
